Đến nội dung


Hình ảnh

[hỏi] chuyển 3d face thành 3d polyline


  • Please log in to reply
3 replies to this topic

#1 dunguss3581

dunguss3581

    biết lệnh rotate

  • Advance Member
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2012 - 10:41 AM

anh em nào biết chuyển 3d face thành 3d polyline không giúp tôi với. đây là bản vẽ mẫu. http://www.cadviet.c...4_drawing11.dwg
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 12 April 2012 - 11:01 AM

anh em nào biết chuyển 3d face thành 3d polyline không giúp tôi với. đây là bản vẽ mẫu. http://www.cadviet.c...4_drawing11.dwg

Đây là dữ liệu ename của 3DFace
(entget(car(entsel "\n Pick chon 3D Face :")))

((-1 . <Entity name: 7ef50318>) (0 . "3DFACE") (330 . <Entity
name: 7ef4ecf8>) (5 . "113") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"0") (100 . "AcDbFace") (10 -468.79 -138.884 499.145) (11 -468.79 -148.506
508.767) (12 -453.424 -148.475 509.296) (13 -455.883 -137.461 498.01) (70 . 0))

- Tọa độ đỉnh của 3D Face nằm ở các mã dxf 10; 11; 12; 13.
- Bạn lấy tọa độ 4 đỉnh đó bằng hàm cdr và assoc
- Xây dựng code vẽ POLYLINE
- Xóa 3DFace cũ đi

Bạn có thể đọc trong help mã dxf của đối tượng 3DFace.
Mình chỉ gợi ý vậy. Hy vọng bạn làm được.
  • 1

#3 dunguss3581

dunguss3581

    biết lệnh rotate

  • Advance Member
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2012 - 11:07 AM

Đây là dữ liệu ename của 3DFace
(entget(car(entsel "\n Pick chon 3D Face :")))

((-1 . <Entity name: 7ef50318>) (0 . "3DFACE") (330 . <Entity
name: 7ef4ecf8>) (5 . "113") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"0") (100 . "AcDbFace") (10 -468.79 -138.884 499.145) (11 -468.79 -148.506
508.767) (12 -453.424 -148.475 509.296) (13 -455.883 -137.461 498.01) (70 . 0))

- Tọa độ đỉnh của 3D Face nằm ở các mã dxf 10; 11; 12; 13.
- Bạn lấy tọa độ 4 đỉnh đó bằng hàm cdr và assoc
- Xây dựng code vẽ POLYLINE
- Xóa 3DFace cũ đi

Bạn có thể đọc trong help mã dxf của đối tượng 3DFace.
Mình chỉ gợi ý vậy. Hy vọng bạn làm được.

cảm ơn bạn. cũng hay đó nhưng mình lại phải mày mò viết lisp. hơi lâu đây có ai giúp mình luôn được không. mình ngại sử lý các hàm truy xuất dxf lắm. toàn nhầm thôi.
  • 0

#4 dunguss3581

dunguss3581

    biết lệnh rotate

  • Advance Member
  • PipPipPip
  • 139 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2012 - 03:41 PM

http://www.4shared.c...XugDP9/ccd.html up lên đây thôi. cadviet không hiểu sao không up được
  • 0